# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-pkgwat-api
%define fedora 19
%if 0%{?fedora}
%global with_python3 1
%endif

%global modname pkgwat.api

Name:             python-module-pkgwat-api
Version:          0.8
Release:          alt1_1
Summary:          Python API for querying the fedora packages webapp

Group:            Development/Python
License:          LGPLv2+
URL:              http://pypi.python.org/pypi/pkgwat.api
Source0:          http://pypi.python.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python-devel
BuildRequires:    python-module-setuptools

%if 0%{?with_python3}
BuildRequires:    python3-devel
BuildRequires:    python3-module-distribute
%endif


%if 0%{?rhel}
BuildRequires:    python-module-ordereddict
%endif
Source44: import.info
# in .pth
%py_provides pkgwat
%filter_from_requires /^python....pkgwat./d

%description
Python API for pkgwat
http://pypi.python.org/pypi/pkgwat.cli

%if 0%{?with_python3}
%package -n python3-module-pkgwat-api
Summary:          Python API for querying the fedora packages webapp
Group:            Development/Python

Requires:         python3-module-matplotlib
Requires:         python3-module-requests
# in .pth
%py3_provides pkgwat
%filter_from_requires /^python....pkgwat./d

%description -n python3-module-pkgwat-api
Python API for pkgwat
http://pypi.python.org/pypi/pkgwat.cli.

%endif

%prep
%setup -q -n %{modname}-%{version}

rm -rf pkgwat.api.egg-info

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.rst LICENSE lgpl-2.1.txt
%{python_sitelibdir_noarch}/pkgwat
%{python_sitelibdir_noarch}/%{modname}-%{version}*

%if 0%{?with_python3}
%files -n python3-module-pkgwat-api
%doc README.rst LICENSE lgpl-2.1.txt
%{python3_sitelibdir_noarch}/pkgwat
%{python3_sitelibdir_noarch}/%{modname}-%{version}-*
%endif

%changelog
* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_1
- update to new release by fcimport

* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 0.7-alt2_3
- rebuild to get rid of unmets

* Mon Mar 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_3
- update to new release by fcimport

* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_2
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_2
- update to new release by fcimport

* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_1
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_5
- initial fc import

